.TH xcol 1 "5 March 1990" "X Version 11"
.SH NAME
xcol \- change color-entries in textfiles
.SH SYNOPSIS
.B xcol
[-options ...]
[\fIfilename\fP]
.SH DESCRIPTION
.I XCol
displays the colors defined in the \fIrgb.txt\fP-file of the XServer.
The colors are sorted by their names and their RGB-values and shown
in a cube in the \fIColorView\fP-Window (The positions represent the RGB-values).
Since there usually are
more colors defined in the file than cells in the colormap, entries with
the same name but different RGB-values for different intensities, are
grouped together.
.PP
If a filename is given as a parameter, all occurrences of color-names in that
file are shown in an additional \fITextView\fP-Window. To change the colors,
a text-line has to be made active. Afterwards a new color
can be selected in the ColorView-Window. To get a better
impression of the color, a help-color (background) can be selected for each
text-line. If 2 lines define a foreground and a background color, an
association can be made and the colors of both lines can be selected together.
.SH "BUTTONS"
in \fIColorView\fP-Window
.RS
.TP 8
.B left:
select color for the active line.
.PD 0
.IP middle:
select help-color for the active line.
.IP right:
warp pointer to color of active line.
.PD 1
.RE
.PP
in \fITextView\fP-Window
.RS
.TP 8
.B left:
select line as active line.
.PD 0
.IP middle:
toggle reverse-mode or
.IP
connect/disconnect 2 lines.
.IP right:
show line in the textfile.
.PD 1
.RE
.SH OPTIONS
.TP 8
.B -rv
Color-positions are reversed in the cube. Some new colors can become visible
in the area of the very bright colors.
.TP
.B -b<n>
The size of color blocks is set to the constant <n>. By default, it
depends on the size of the ColorView-Window.
.TP
.B -gran<n>
The maximum number of associated colors is set to <n>. By default, this value
is 11. (You can see the effect when reaching the grey-field, where
101 associated entries are possibly available.)
.TP
.B -dark<n>
The percentage of the intensity of other colors can be set (default: 50). It
is easier to select a color, if the screen is darkened a little bit.
.TP
.B +<char_list>
add characters to list of 'space'-chars. The color-string in the textfile
has to occur between 2 'space'-chars to be recognized. By default, these
letters are ' ', '\\t', '\\n', ':', '"'.
.TP
.B -strings
Names of colors in the file are only recognized when used in a string
(useful for C-Sources). This means that the list of 'space'-chars is
set to '"' only.
.TP
.B -case
All occurrences of color-names in wrong case are replaced by the color-name
of the 'rgb.txt'-file.
.TP
.B -help
print some instructions (usage of buttons).
.TP
.B -file <name>
name of a different 'rgb.txt'-file.
.SH FILES
/usr/lib/X11/rgb.txt
.SH "SEE ALSO"
X(1)
.SH BUGS
Actually I wanted the program to work with the selection
mechanism used in xterm (when no textfile is given), but it seems to be
too complicated to use it here.
So, the current version always stores the string of the color in CUT_BUFFER0.
If anyone has an easy way to use the correct selection mechanism, please
inform me.
.SH COPYRIGHT
Copyright 1990, University of Kaiserslautern.
.PP
Author: Helmut Hoenig (hoenig@informatik.uni-kl.de)
.PP
Permission to use, copy, modify, and distribute this
software for any purpose and without
fee is hereby granted, provided that the above copyright
notice appear in all copies.
